%define name 2UTF
%define release 1mdk
%define version 1.11

Summary: Translates char-sets and decodes MIME.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: BSD style
URL: http://www.angelfire.com/me/rch/ll.html#2UTF
BuildRoot: /var/tmp/%{name}-buildroot
Group: Utilities/Text
Source: sunsite.unc.edu:/pub/Linux/utils/text/2UTF-1.11.tar.bz2
Prefix: /usr

%description
 Filter for char-set translation to and from Unicode.
 Gets char-set definitions from WG15 locales char-maps or similiar tables.
 Can decode nested multi-part MIME messages and invoke external filters.
 Can display char-maps and current console font.  

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
[ $RPM_BUILD_ROOT != / ] && rm -R -f $RPM_BUILD_ROOT

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" PREFIX=%{prefix} \
make -j 2 config
make -j 2 prefix=%{prefix} sysconfdir=/etc docsdir=%{prefix}/doc/2UTF \
		var_prefix=/var OPT="$RPM_OPT_FLAGS"

%install
install -m 755 -d $RPM_BUILD_ROOT/etc
install -m 644 2UTF.config $RPM_BUILD_ROOT/etc/
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 fromUTF $RPM_BUILD_ROOT/usr/bin/
install -m 755 2UTF $RPM_BUILD_ROOT/usr/bin/
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 BSD_style_license $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 {TODO,changelog} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 examples/*.gz $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 examples/{Makefile,Minicom,README,procmailrc} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
#install -m 644 examples/{linux+k.ti,linux+utf8.ti} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -m 644 2UTF.1 $RPM_BUILD_ROOT/usr/man/man1/
install -m 755 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 examples/set_sticky_palette_for_linux-gr+utf8_terminal $RPM_BUILD_ROOT/usr/sbin/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/terminfo
install -m 644 examples/{linux+k.ti,linux+utf8.ti}  $RPM_BUILD_ROOT/usr/share/terminfo/

%files
%defattr (-,root,root)
/usr/bin/*
/usr/sbin/*
/usr/doc/%{name}-%{version}/*
/usr/man/man1/*
/usr/share/terminfo/*
/etc/*

#%post
#set -o errexit
#test -e /usr/local/share/i18n/charmaps \
#    || install -c -d -o root -g staff -m 2775	/usr/local/share/i18n/charmaps
#/usr/bin/2UTF --create-aliases

%changelog
* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.11 

